Show document payment
Returns one payment. The response contains the source document type and ID, the used currency, the payment method, and when applicable also a preview of the linked payment receipt invoice.
curl --request GET \
--url https://app.fintoro.sk/api/public/v1/document-payments/{documentPayment} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.fintoro.sk/api/public/v1/document-payments/{documentPayment}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.fintoro.sk/api/public/v1/document-payments/{documentPayment}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 801,
"documentType": "invoice",
"documentId": 301,
"paymentMethod": {
"id": 1,
"name": "Bank transfer"
},
"currency": {
"id": 1,
"symbol": "EUR",
"name": "Euro",
"mark": "€"
},
"paymentDate": "2026-03-07",
"amount": 15.5,
"currencyRate": 1,
"receiptInvoice": {
"id": 301,
"uuid": "6b1b8c9e-66e6-4fb5-b2db-6d7c7f0f8f19",
"type": "invoice",
"number": "20260001",
"clientId": 101,
"client": {
"name": "Acme s.r.o.",
"type": "company",
"subjectId": "12345678",
"taxId": "2020123456",
"vatId": "SK2020123456",
"isVatPayer": true,
"email": "billing@acme.test",
"street": "Main Street 1",
"city": "Bratislava",
"zip": "81101",
"countryId": 703,
"country": {
"id": 703,
"name": "Slovakia",
"code": "SK",
"eu": true
},
"hasDeliveryAddress": true,
"deliveryStreet": "Warehouse 9",
"deliveryCity": "Kosice",
"deliveryZip": "04001",
"deliveryCountryId": 703,
"deliveryCountry": {
"id": 703,
"name": "Slovakia",
"code": "SK",
"eu": true
}
},
"issueDate": "2026-03-03",
"dueDate": "2026-03-17",
"deliveryDate": "2026-03-03",
"currency": {
"id": 1,
"symbol": "EUR",
"name": "Euro",
"mark": "€"
},
"total": 200,
"totalWithVat": 240,
"toBePaid": 240,
"status": "unpaid",
"hasVat": true
}
}{
"message": "This action is unauthorized."
}{
"message": "No query results for model."
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}{
"message": "Service Unavailable"
}Authorizations
Bearer token created for a specific company in Integrations → API.
Path Parameters
Document payment ID.
801
Response
Document payment detail.
One payment of a public document.
Internal payment ID.
801
Type of the document this payment belongs to.
invoice, proforma, credit-note "invoice"
ID of the document this payment belongs to.
301
Used payment method as a nested lookup object.
Show child attributes
Show child attributes
Payment currency as a nested lookup object.
Show child attributes
Show child attributes
Payment date in Y-m-d format.
"2026-03-07"
Payment amount in the payment currency.
15.5
Exchange rate of the payment currency against EUR. If the payment currency is EUR, the backend always returns 1.0.
1
Preview of the linked payment receipt invoice, when it exists.
Show child attributes
Show child attributes

